## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenBaseImpl.ColorInformation

    java.lang.Object
      org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl.ColorInformation

Enclosing class:
  GenBaseImpl

Deprecated. In EMF 2.2, this moved to `GIFEmitter`. This copy will be removed after 2.2.

    @Deprecated
    public static class GenBaseImpl.ColorInformation

extends java.lang.Object

Field Summary
`int` `blue` Deprecated.
`int` `change` Deprecated.
`protected static java.util.List` `entries` Deprecated.
`double[]` `factor` Deprecated.
`int` `green` Deprecated.
`protected static GenBaseImpl.ColorInformation` `instance` Deprecated.
`boolean` `rainbow` Deprecated.
`int` `red` Deprecated.
`int` `which` Deprecated.

Constructor Summary
`GenBaseImpl.ColorInformation()` Deprecated.

Method Summary
`protected void` `fixFactor()` Deprecated.
`protected void` `generateColor()` Deprecated.
`static GenBaseImpl.ColorInformation` `getColor(int index)` Deprecated.
`byte` `scale(int value, double factor)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected static GenBaseImpl.ColorInformation instance

  Deprecated.

### entries

    protected static java.util.List entries

  Deprecated.

### red

    public int red

  Deprecated.

### green

    public int green

  Deprecated.

### blue

    public int blue

  Deprecated.

### which

    public int which

  Deprecated.

### change

    public int change

  Deprecated.

### factor

    public double[] factor

  Deprecated.

### rainbow

    public boolean rainbow

  Deprecated.

Constructor Detail

### GenBaseImpl.ColorInformation

    public GenBaseImpl.ColorInformation()

  Deprecated.

Method Detail

### getColor

    public static GenBaseImpl.ColorInformation getColor(int index)

  Deprecated.

### scale

    public byte scale(int value,
                      double factor)

  Deprecated.

### generateColor

    protected void generateColor()

  Deprecated.

### fixFactor

    protected void fixFactor()

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.